org.apache.synapse.commons.evaluators.config

## Class TextProcessingEvaluatorFactory

- java.lang.Object
- - org.apache.synapse.commons.evaluators.config.TextProcessingEvaluatorFactory

- All Implemented Interfaces:
    EvaluatorFactory
  Direct Known Subclasses:
    EqualFactory, MatchFactory

      public abstract class TextProcessingEvaluatorFactory
      extends java.lang.Object
      implements EvaluatorFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.commons.logging.Log` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextProcessingEvaluatorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SourceTextRetriever` | `getSourceTextRetriever(org.apache.axiom.om.OMElement e)`
    `protected void` | `handleException(java.lang.String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.synapse.commons.evaluators.config.EvaluatorFactory

      `create`

- - ### Field Detail

    - #### log

          protected org.apache.commons.logging.Log log

  - ### Constructor Detail

    - #### TextProcessingEvaluatorFactory

          public TextProcessingEvaluatorFactory()

  - ### Method Detail

    - #### getSourceTextRetriever

          protected SourceTextRetriever getSourceTextRetriever(org.apache.axiom.om.OMElement e)
                                                        throws EvaluatorException

      Throws:
        `EvaluatorException`

    - #### handleException

          protected void handleException(java.lang.String message)
                                  throws EvaluatorException

      Throws:
        `EvaluatorException`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.